All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
ColorLUTCubic
Color Processing

Perform image color processing using linear interpolation between members of various types of color look up tables. More...

## Functions

NppStatus | nppiLUT_Cubic_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 8-bit unsigned cubic interpolated look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_8u_C1IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 8-bit unsigned cubic interpolated look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_8u_C1IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned cubic interpolated look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_8u_C3IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned cubic interpolated look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_8u_C3IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned cubic interpolated look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_8u_C4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned cubic interpolated look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_8u_C4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned cubic interpolated look-up-table color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_8u_AC4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned cubic interpolated look-up-table in place color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_8u_AC4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 16-bit unsigned look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_16u_C1IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 16-bit unsigned look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_16u_C1IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16u_C3IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_16u_C3IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_16u_C4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_16u_C4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned look-up-table color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16u_AC4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned look-up-table in place color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_16u_AC4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 16-bit signed look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_16s_C1IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 16-bit signed look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_16s_C1IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues, const Npp32s *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16s_C3IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_16s_C3IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_16s_C4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_16s_C4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[4], const Npp32s *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed look-up-table color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_16s_AC4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed look-up-table in place color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_16s_AC4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32s *pValues[3], const Npp32s *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues, const Npp32f *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 32-bit floating point look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues, const Npp32f *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_32f_C1IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues, const Npp32f *pLevels, int nLevels, NppStreamContext nppStreamCtx)
| 32-bit floating point look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_32f_C1IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues, const Npp32f *pLevels, int nLevels)
NppStatus | nppiLUT_Cubic_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_32f_C3IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues[4], const Npp32f *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point look-up-table color conversion. More...
NppStatus | nppiLUT_Cubic_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues[4], const Npp32f *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_32f_C4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues[4], const Npp32f *pLevels[4], int nLevels[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point look-up-table in place color conversion. More...
NppStatus | nppiLUT_Cubic_32f_C4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues[4], const Npp32f *pLevels[4], int nLevels[4])
NppStatus | nppiLUT_Cubic_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point look-up-table color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3])
NppStatus | nppiLUT_Cubic_32f_AC4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point look-up-table in place color conversion, not affecting Alpha. More...
NppStatus | nppiLUT_Cubic_32f_AC4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f *pValues[3], const Npp32f *pLevels[3], int nLevels[3])

## Detailed Description

Perform image color processing using linear interpolation between members of various types of color look up tables.

## Function Documentation

NppStatus nppiLUT_Cubic_16s_AC4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16s_AC4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed look-up-table in place color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points using no interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed look-up-table color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points using no interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16s_C1IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_16s_C1IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16s_C3IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16s_C3IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed look-up-table color conversion.

The LUT is derived from a set of user defined mapping points using no interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16s_C4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_16s_C4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points using no interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_AC4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16u_AC4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned look-up-table in place color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points using no interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned look-up-table color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points using no interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_C1IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_16u_C1IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_C3IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16u_C3IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned look-up-table color conversion.

The LUT is derived from a set of user defined mapping points using no interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_C4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_16u_C4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points using no interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_AC4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_32f_AC4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point look-up-table in place color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points using no interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point look-up-table color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points using no interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_C1IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues,
|  | const Npp32f * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_32f_C1IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues,
|  | const Npp32f * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues,
|  | const Npp32f * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues,
|  | const Npp32f * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_32f_C3IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point look-up-table color conversion.

The LUT is derived from a set of user defined mapping points using no interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_C4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_32f_C4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points using no interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pValues[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 1024 (the current size limit).

NppStatus nppiLUT_Cubic_8u_AC4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_8u_AC4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned cubic interpolated look-up-table in place color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points through cubic interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Cubic_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned cubic interpolated look-up-table color conversion, not affecting Alpha.

The LUT is derived from a set of user defined mapping points through cubic interpolation. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Cubic_8u_C1IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_8u_C1IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned cubic interpolated look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Cubic_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels
| ) |  |

NppStatus nppiLUT_Cubic_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned cubic interpolated look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Pointer to an array of user defined OUTPUT values (this is a device memory pointer)
  pLevels | Pointer to an array of user defined INPUT values (this is a device memory pointer)
  nLevels | Number of user defined number of input/output mapping points (levels)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Cubic_8u_C3IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_8u_C3IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned cubic interpolated look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Cubic_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3]
| ) |  |

NppStatus nppiLUT_Cubic_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned cubic interpolated look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 3 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Cubic_8u_C4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_8u_C4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned cubic interpolated look-up-table in place color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Cubic_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4]
| ) |  |

NppStatus nppiLUT_Cubic_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pValues[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned cubic interpolated look-up-table color conversion.

The LUT is derived from a set of user defined mapping points through cubic interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined OUTPUT values.
  pLevels | Host pointer to an array of 4 device memory pointers, one per color CHANNEL, pointing to user defined INPUT values.
  nLevels | Host pointer to an array of 4 user defined number of input/output mapping points, one per color CHANNEL.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

Copyright © 2009-2019 NVIDIA Corporation